- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# QList< T >::iterator Class Reference

Search for all occurrences

## Detailed Description

### template<typename T>
class QList< T >::iterator

Definition at line 168 of file qlist.h.

`#include <qlist.h>`

List of all members.

## Public Types
typedef std::random_access_iterator_tag | iterator_category
typedef qptrdiff | difference_type
typedef T | value_type
typedef T * | pointer
typedef T & | reference
## Public Member Functions
| iterator ()
| iterator (Node *n)
| iterator (const iterator &o)
T & | operator* () const
T * | operator-> () const
T & | operator[] (int j) const
bool | operator== (const iterator &o) const
bool | operator!= (const iterator &o) const
bool | operator< (const iterator &other) const
bool | operator<= (const iterator &other) const
bool | operator> (const iterator &other) const
bool | operator>= (const iterator &other) const
bool | operator== (const const_iterator &o) const
bool | operator!= (const const_iterator &o) const
bool | operator< (const const_iterator &other) const
bool | operator<= (const const_iterator &other) const
bool | operator> (const const_iterator &other) const
bool | operator>= (const const_iterator &other) const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
iterator & | operator+= (int j)
iterator & | operator-= (int j)
iterator | operator+ (int j) const
iterator | operator- (int j) const
int | operator- (iterator j) const
## Public Attributes
Node * | i

## Member Typedef Documentation

typedef std::random_access_iterator_tag iterator_category

Search for all occurrences

Definition at line 171 of file qlist.h.

typedef qptrdiff difference_type

Search for all occurrences

Definition at line 172 of file qlist.h.

typedef T value_type

Search for all occurrences

Definition at line 173 of file qlist.h.

typedef T* pointer

Search for all occurrences

Definition at line 174 of file qlist.h.

typedef T& reference

Search for all occurrences

Definition at line 175 of file qlist.h.

## Constructor & Destructor Documentation

iterator | ( |  | ) | `[inline]`

Definition at line 177 of file qlist.h.

    : i(0) {}

iterator | ( | Node * | n | ) | `[inline]`

Definition at line 178 of file qlist.h.

    : i(n) {}

iterator | ( | const iterator & | o | ) | `[inline]`

Definition at line 179 of file qlist.h.

    : i(o.i){}

## Member Function Documentation

T& operator* | ( |  | ) | const `[inline]`

Definition at line 180 of file qlist.h.

    { return i->t(); }

T* operator-> | ( | void |  | ) | const `[inline]`

Definition at line 181 of file qlist.h.

    { return &i->t(); }

T& operator[] | ( | int | j | ) | const `[inline]`

Definition at line 182 of file qlist.h.

    { return i[j].t(); }

bool operator== | ( | const iterator & | o | ) | const `[inline]`

Definition at line 183 of file qlist.h.

    { return i == o.i; }

bool operator!= | ( | const iterator & | o | ) | const `[inline]`

Definition at line 184 of file qlist.h.

    { return i != o.i; }

bool operator< | ( | const iterator & | other | ) | const `[inline]`

Definition at line 185 of file qlist.h.

    { return i < other.i; }

bool operator<= | ( | const iterator & | other | ) | const `[inline]`

Definition at line 186 of file qlist.h.

    { return i <= other.i; }

bool operator> | ( | const iterator & | other | ) | const `[inline]`

Definition at line 187 of file qlist.h.

    { return i > other.i; }

bool operator>= | ( | const iterator & | other | ) | const `[inline]`

Definition at line 188 of file qlist.h.

    { return i >= other.i; }

bool operator== | ( | const const_iterator & | o | ) | const `[inline]`

Definition at line 190 of file qlist.h.

                { return i == o.i; }

bool operator!= | ( | const const_iterator & | o | ) | const `[inline]`

Definition at line 192 of file qlist.h.

                { return i != o.i; }

bool operator< | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 194 of file qlist.h.

                { return i < other.i; }

bool operator<= | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 196 of file qlist.h.

                { return i <= other.i; }

bool operator> | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 198 of file qlist.h.

                { return i > other.i; }

bool operator>= | ( | const const_iterator & | other | ) | const `[inline]`

Definition at line 200 of file qlist.h.

                { return i >= other.i; }

iterator& operator++ | ( |  | ) | `[inline]`

Definition at line 203 of file qlist.h.

    { ++i; return *this; }

iterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 204 of file qlist.h.

    { Node *n = i; ++i; return n; }

iterator& operator-- | ( |  | ) | `[inline]`

Definition at line 205 of file qlist.h.

    { i--; return *this; }

iterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 206 of file qlist.h.

    { Node *n = i; i--; return n; }

iterator& operator+= | ( | int | j | ) | `[inline]`

Definition at line 207 of file qlist.h.

    { i+=j; return *this; }

iterator& operator-= | ( | int | j | ) | `[inline]`

Definition at line 208 of file qlist.h.

    { i-=j; return *this; }

iterator operator+ | ( | int | j | ) | const `[inline]`

Definition at line 209 of file qlist.h.

    { return iterator(i+j); }

iterator operator- | ( | int | j | ) | const `[inline]`

Definition at line 210 of file qlist.h.

    { return iterator(i-j); }

int operator- | ( | iterator | j | ) | const `[inline]`

Definition at line 211 of file qlist.h.

    { return int(i - j.i); }

## Member Data Documentation

Node* i

Search for all occurrences

Definition at line 170 of file qlist.h.

The documentation for this class was generated from the following file:

- QtCore/qlist.h

QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator
QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator QList< T >::iterator